<?php

namespace Drupal\entity_manager\Plugin\EntityManager;

use Drupal\Core\Entity\EntityInterface;
use Drupal\entity_manager\Entity\EntityManagerItem;

/**
 * Plugin implementation of the entity_manager.
 *
 * @EntityManager(
 *   id = "delete",
 *   label = @Translation("Delete"),
 *   weight = 90,
 *   description = @Translation("Entity delete action.")
 * )
 */
class EntityDelete extends EntityFormBase
{

    /**
     *
     */
    public function buildPage(EntityManagerItem $entity_manager_item, ?EntityInterface $entity = null)
    {
        $this->form_key = 'delete';
        return parent::buildPage($entity_manager_item, $entity);
    }

}
